Package org.springframework.security.web.savedrequest

# Class RequestCacheAwareFilter

java.lang.Object
org.springframework.web.filter.GenericFilterBean
org.springframework.security.web.savedrequest.RequestCacheAwareFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.EnvironmentAware`, `org.springframework.core.env.EnvironmentCapable`, `org.springframework.web.context.ServletContextAware`

public class RequestCacheAwareFilter extends org.springframework.web.filter.GenericFilterBean
Responsible for reconstituting the saved request if one is cached and it matches the current request.

It will call `getMatchingRequest` on the configured `RequestCache`. If the method returns a value (a wrapper of the saved request), it will pass this to the filter chain's `doFilter` method. If null is returned by the cache, the original request is used and the filter has no effect.

Since:
  3.0

## Field Summary

### Fields inherited from class org.springframework.web.filter.GenericFilterBean

`logger`

## Constructor Summary

Constructors
Constructor
Description
`RequestCacheAwareFilter()`
`RequestCacheAwareFilter(RequestCache requestCache)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain)`

### Methods inherited from class org.springframework.web.filter.GenericFilterBean

`addRequiredProperty, afterPropertiesSet, createEnvironment, destroy, getEnvironment, getFilterConfig, getFilterName, getServletContext, init, initBeanWrapper, initFilterBean, setBeanName, setEnvironment, setServletContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestCacheAwareFilter

public RequestCacheAwareFilter()

### RequestCacheAwareFilter

public RequestCacheAwareFilter(RequestCache requestCache)

## Method Details

### doFilter

public void doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain) throws IOException, jakarta.servlet.ServletException

Throws:
  `IOException`
  `jakarta.servlet.ServletException`